Bug 198374 - [PATCH] mail/rainloop: Update to 1.8.2.291 and add Database OPTIONS
Summary: [PATCH] mail/rainloop: Update to 1.8.2.291 and add Database OPTIONS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-06 21:25 UTC by Bernard Spil
Modified: 2015-03-31 07:51 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (loic.blot)


Attachments
Poudriere testport of mail/rainloop (18.74 KB, text/plain)
2015-03-06 21:25 UTC, Bernard Spil
no flags Details
svn diff for mail/rainloop (10.04 KB, patch)
2015-03-06 21:26 UTC, Bernard Spil
no flags Details | Diff
svn diff for mail/rainloop (10.04 KB, patch)
2015-03-30 16:35 UTC, Bernard Spil
no flags Details | Diff
Poudriere testport of mail/rainloop 1.8.2 (17.74 KB, text/plain)
2015-03-30 16:49 UTC, Bernard Spil
no flags Details
svn diff for mail/rainloop (393 bytes, patch)
2015-03-31 07:00 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-06 21:25:42 UTC
Created attachment 153936 [details]
Poudriere testport of mail/rainloop

This is an update and partial rewrite of the mail/rainloop port
Tried updating to most recent downloadable version on sf.net (1.8.1.276) but that had a bug, following to a conversation with upstream on a stable download link including build number (currently 1.8.1.281) resulting in attached patch.

Saw a TODO for database backend selection so I copied that from mail/roundcube.
Comment 1 Bernard Spil freebsd_committer 2015-03-06 21:26:15 UTC
Created attachment 153937 [details]
svn diff for mail/rainloop
Comment 2 loic.blot 2015-03-10 08:07:20 UTC
Hi,
thanks for the update.

I approved it.
Comment 3 Kurt Jaeger freebsd_committer 2015-03-30 13:33:39 UTC
testing@work
Comment 4 Bernard Spil freebsd_committer 2015-03-30 16:35:40 UTC
Created attachment 154999 [details]
svn diff for mail/rainloop

Updates to 1.8.2 now
Comment 5 Bernard Spil freebsd_committer 2015-03-30 16:49:36 UTC
Created attachment 155000 [details]
Poudriere testport of mail/rainloop 1.8.2
Comment 6 Kurt Jaeger freebsd_committer 2015-03-30 19:41:18 UTC
You say it's 1.8.2, but the Makefile says 1.8.1 ?

The website @www.rainloop.net also says 1.8.2 ?
Comment 7 commit-hook freebsd_committer 2015-03-30 19:55:19 UTC
A commit references this bug:

Author: pi
Date: Mon Mar 30 19:54:23 UTC 2015
New revision: 382721
URL: https://svnweb.freebsd.org/changeset/ports/382721

Log:
  mail/rainloop: 1.8.0 -> 1.8.2

  Changes: http://www.rainloop.net/changelog/
  Added OPTION to select database

  PR:		198374
  Submitted by:	Bernard Spil <spil.oss@gmail.com>
  Approved by:	loic.blot@unix-experience.fr (maintainer)

Changes:
  head/mail/rainloop/Makefile
  head/mail/rainloop/distinfo
  head/mail/rainloop/pkg-plist
Comment 8 Kurt Jaeger freebsd_committer 2015-03-30 19:56:18 UTC
I found the trick to use 1.8.2.291.

test builds on 10.1a, 9.3a, 8.4i all went fine.

Committed, thanks.
Comment 9 Antoine Brodin freebsd_committer 2015-03-31 06:26:02 UTC
The port was marked broken for your information...
Comment 10 Bernard Spil freebsd_committer 2015-03-31 07:00:32 UTC
Created attachment 155049 [details]
svn diff for mail/rainloop

My fault, sorry!

Add an OPTIONS_DEFAULT line to restore the old behaviour (i.e. build with MySQL)
Comment 11 commit-hook freebsd_committer 2015-03-31 07:34:11 UTC
A commit references this bug:

Author: pi
Date: Tue Mar 31 07:33:56 UTC 2015
New revision: 382799
URL: https://svnweb.freebsd.org/changeset/ports/382799

Log:
  mail/rainloop: Add an OPTIONS_DEFAULT

  PR:		198374
  Submitted by:	Bernard Spil <spil.oss@gmail.com>

Changes:
  head/mail/rainloop/Makefile
Comment 12 commit-hook freebsd_committer 2015-03-31 07:51:14 UTC
A commit references this bug:

Author: pi
Date: Tue Mar 31 07:50:37 UTC 2015
New revision: 382800
URL: https://svnweb.freebsd.org/changeset/ports/382800

Log:
  mail/rainloop: yet another OPTIONS fix

  PR:		198374
  Submitted by:	danfe

Changes:
  head/mail/rainloop/Makefile